com.threerings.whirled.zone.peer.server

## Class ZonePeerManager.NodeFunc<T>

- java.lang.Object
- - com.threerings.whirled.zone.peer.server.ZonePeerManager.NodeFunc<T>

All Implemented Interfaces:
  Function<com.threerings.presents.peer.data.NodeObject,T>

Enclosing class:
  ZonePeerManager

    public abstract static class ZonePeerManager.NodeFunc<T>
    extends Object
    implements Function<com.threerings.presents.peer.data.NodeObject,T>

Useful with `PeerManager.lookupNodeDatum(com.google.common.base.Function<com.threerings.presents.peer.data.NodeObject, T>)`.

### Constructor Summary

Constructors
Constructor and Description
`NodeFunc()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`T` `apply(com.threerings.presents.peer.data.NodeObject nodeobj)`
`abstract T` `apply(ZoneNodeObject mnobj)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.google.common.base.Function

`equals`

### Constructor Detail

#### NodeFunc

    public NodeFunc()

### Method Detail

#### apply

    public abstract T apply(ZoneNodeObject mnobj)

#### apply

    public T apply(com.threerings.presents.peer.data.NodeObject nodeobj)

Specified by:
  `apply` in interface `Function<com.threerings.presents.peer.data.NodeObject,T>`